pvalloc(3)

NAME
pvalloc - page-sized page-aligned memory allocation

LIBRARY
Standard C library (libc, -lc)

SYNOPSIS
#include <malloc.h>

[[deprecated]] void *pvalloc(size_t size);

DESCRIPTION
pvalloc() is similar to valloc(), but rounds the size of the allocation up to the next multiple of the system page size.

ATTRIBUTES
For an explanation of the terms used in this section, see attributes(7).
Interface | Attribute | Value
 | Thread safety | MT-Unsafe init

STANDARDS
GNU.

HISTORY
glibc 2.0.

CAVEATS
See valloc(3).

SEE ALSO
valloc(3)